ExchangeQueue (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.messaging.exchange.ExchangeQueue interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.messaging.exchange
Interface ExchangeQueue

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface ExchangeQueue

extends LogicalElement

Represents the Exchange Queue

Naming Rules:
  0="parent"
Persistable:
  true
Table Name:
  EXCHQUE
Display Name:
  queueName

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`boolean` | `getCanEnumAll()` Indicates whether the queue can enumerate all of the messages that it has waiting for transmission Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_Queue.CanEnumAll
`ExchangeLink` | `getParent()`
`java.lang.String` | `getProtocolName()` The transmission protocol for the queue Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_ Link.ProtocolName Example SMTP
`java.lang.String` | `getQueueID()` The identifier of the queue Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_ Queue.QueueId Example {AB4A29BC-B982-4231-B690-0F022244E0D5}/46148996/46149000
`java.lang.String` | `getQueueName()` The name of the queue Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_Queue.QueueName Example PreSubmissionQueue
`boolean` | `hasCanEnumAll()`
`boolean` | `hasParent()`
`boolean` | `hasProtocolName()`
`boolean` | `hasQueueID()`
`boolean` | `hasQueueName()`
`void` | `setCanEnumAll(boolean x)`
`void` | `setParent(ExchangeLink x)`
`void` | `setProtocolName(java.lang.String x)`
`void` | `setQueueID(java.lang.String x)`
`void` | `setQueueName(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getQueueName

    java.lang.String getQueueName()
                                  throws AttributeNotSetException

  The name of the queue Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_Queue.QueueName Example PreSubmissionQueue

  Throws:
    `AttributeNotSetException`

### setQueueName

    void setQueueName(java.lang.String x)

### hasQueueName

    boolean hasQueueName()

### getProtocolName

    java.lang.String getProtocolName()
                                     throws AttributeNotSetException

  The transmission protocol for the queue Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_ Link.ProtocolName Example SMTP

  Throws:
    `AttributeNotSetException`

### setProtocolName

    void setProtocolName(java.lang.String x)

### hasProtocolName

    boolean hasProtocolName()

### getParent

    ExchangeLink getParent()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(ExchangeLink x)

### hasParent

    boolean hasParent()

### getCanEnumAll

    boolean getCanEnumAll()
                          throws AttributeNotSetException

  Indicates whether the queue can enumerate all of the messages that it has waiting for transmission Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_Queue.CanEnumAll

  Throws:
    `AttributeNotSetException`

### setCanEnumAll

    void setCanEnumAll(boolean x)

### hasCanEnumAll

    boolean hasCanEnumAll()

### getQueueID

    java.lang.String getQueueID()
                                throws AttributeNotSetException

  The identifier of the queue Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_ Queue.QueueId Example {AB4A29BC-B982-4231-B690-0F022244E0D5}/46148996/46149000

  Throws:
    `AttributeNotSetException`

### setQueueID

    void setQueueID(java.lang.String x)

### hasQueueID

    boolean hasQueueID()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD